# Präsensaufgabe Schmadefinition
```sql
CREATE TABLE Hafen (
	HNr INT NOT NULL,
	Ozean VARCHAR(25) NOT NULL,
	CONSTRAINT pk_kauf PRIMARY KEY (Name)
);

CREATE TABLE Schiff (
	Name VARCHAR(256) NOT NULL,
	Tiefgang INT NOT NULL,
	Nutzlast INT NOT NULL,
	Besatzungsstaerke INT NOT NULL,
	CONSTRAINT pk_name PRIMARY KEY (Name)
);

CREATE TABLE Tankschiff (
	Name VARCHAR(256) NOT NULL,
	Substanz VARCHAR(256) NOT NULL
	CONSTRAINT pk_name PRIMARY KEY (Name),
	CONSTRAINT fk_schiff FOREIGN KEY (Schiff) REFERENCES Schiff (Name)
);

CREATE TABLE Containerschiff (
	Name VARCHAR(256) NOT NULL,
	CONSTRAINT pk_name PRIMARY KEY (Name),
	CONSTRAINT fk_schiff FOREIGN KEY (Schiff) REFERENCES Schiff (Name)
);

CREATE TABLE  Container(
	Schiff VARCHAR(256) NOT NULL,
	Name VARCHAR(256) NOT NULL,
	CONSTRAINT pk_name PRIMARY KEY (Schiff, Name),
	CONSTRAINT fk_schiff FOREIGN KEY (Schiff) REFERENCES Schiff (Name)
);

CREATE TABLE  Fahrt(
	FNr INT NOT NULL,
	Abfahrt TIMESTAMP NOT NULL,
	Ankunft TIMESTAMP NOT NULL,
	Von INT NOT NULL,
	Nach INT NOT NULL,
	Schiff VARCHAR(256) NOT NULL,
	CONSTRAINT pk_name PRIMARY KEY (FNr),
	CONSTRAINT fk_nach FOREIGN KEY (Nach) REFERENCES Hafen (HNr),
	CONSTRAINT fk_von FOREIGN KEY (Von) REFERENCES Hafen (HNr)
);

```
